Bug 1002705 - Review Request: felix-scr-generator - Descriptor Generator Implementation
Review Request: felix-scr-generator - Descriptor Generator Implementation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1002706
  Show dependency treegraph
 
Reported: 2013-08-29 14:33 EDT by gil cattaneo
Modified: 2013-11-10 02:24 EST (History)
3 users (show)

See Also:
Fixed In Version: felix-scr-generator-1.8.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 23:41:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-08-29 14:33:32 EDT
Spec URL: http://gil.fedorapeople.org/felix-scr-generator.spec
SRPM URL: http://gil.fedorapeople.org/felix-scr-generator-1.8.0-1.fc19.src.rpm
Description:
Provides the implementation to generate Declarative Services and Metatype
Service descriptors from Java 5 Annotations and/or JavaDoc tags.
Fedora Account System Username: gil
Comment 1 Björn "besser82" Esser 2013-10-19 04:08:26 EDT
taken  ;)
Comment 2 Björn "besser82" Esser 2013-10-19 04:14:12 EDT
FTBFS on rawhide!!!  :(

[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 0.643s
[INFO] Finished at: Sat Oct 19 10:10:53 CEST 2013
[INFO] Final Memory: 10M/482M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal on project org.apache.felix.scr.generator: Could not resolve dependencies for project org.apache.felix:org.apache.felix.scr.generator:jar:1.8.0: Cannot access central (http://repo.maven.apache.org/maven2) in offline mode and the artifact org.mockito:mockito-all:jar:1.7 has not been downloaded from it before. -> [Help 1]

#####

Please update to recent v1.8.2, too.
Comment 3 gil cattaneo 2013-10-19 06:56:17 EDT
Spec URL: http://gil.fedorapeople.org/felix-scr-generator.spec
SRPM URL: http://gil.fedorapeople.org/felix-scr-generator-1.8.2-1.fc19.src.rpm

- update to 1.8.2
- add BR org.mockito:mockito-all
Comment 4 Björn "besser82" Esser 2013-10-19 07:14:13 EDT
Package is fine.  :)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "*No copyright* Apache (v2.0)". 1 files have
     unknown license. Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/1002705-felix-scr-
     generator/licensecheck.txt

     ---> License-tag is fine.  :)

[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java/felix
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in felix-scr-
     generator-javadoc

     ---> False postive.  Documentation should be independent from binaries.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

     ---> testsuite is skipped, but explained by circular deps.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: felix-scr-generator-1.8.2-1.fc21.noarch.rpm
          felix-scr-generator-javadoc-1.8.2-1.fc21.noarch.rpm
          felix-scr-generator-1.8.2-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint felix-scr-generator-javadoc felix-scr-generator
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
felix-scr-generator-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

felix-scr-generator (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(org.osgi:org.osgi.compendium)
    mvn(org.osgi:org.osgi.core)
    mvn(org.ow2.asm:asm-all)



Provides
--------
felix-scr-generator-javadoc:
    felix-scr-generator-javadoc

felix-scr-generator:
    felix-scr-generator
    mvn(org.apache.felix:org.apache.felix.scr.generator)



Source checksums
----------------
http://www.apache.org/dist/felix/org.apache.felix.scr.generator-1.8.2-source-release.tar.gz :
  CHECKSUM(SHA256) this package     : a0c44f7e5010a91b31ff953e90d21ccddf4ec3fca5e2345df9dd7b9b28adeb3a
  CHECKSUM(SHA256) upstream package : a0c44f7e5010a91b31ff953e90d21ccddf4ec3fca5e2345df9dd7b9b28adeb3a


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1002705
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!
Comment 5 gil cattaneo 2013-10-19 08:15:06 EDT
Very very Thanks!

New Package SCM Request
=======================
Package Name: felix-scr-generator
Short Description: Descriptor Generator Implementation
Owners: gil
Branches: f19 f20
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2013-10-19 17:12:21 EDT
Git done (by process-git-requests).
Comment 7 gil cattaneo 2013-10-19 17:13:52 EDT
Thanks!
Comment 8 Fedora Update System 2013-10-19 18:12:06 EDT
felix-scr-generator-1.8.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/felix-scr-generator-1.8.2-1.fc20
Comment 9 Fedora Update System 2013-10-19 18:20:10 EDT
felix-scr-generator-1.8.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/felix-scr-generator-1.8.2-1.fc19
Comment 10 Fedora Update System 2013-10-20 13:44:45 EDT
felix-scr-generator-1.8.2-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 11 Fedora Update System 2013-10-28 23:41:11 EDT
felix-scr-generator-1.8.2-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-11-10 02:24:53 EST
felix-scr-generator-1.8.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.